Subject: Re: [PATCH v2] config: introduce an Operating System-specific `includeIf` condition

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Nov 2022 08:51:23 +0900

Phillip Wood <[email-masked]> writes:

> I can see that we would want to respect the preferred spelling in our
> documentation but it seems a bit mean to penalize users who write
>
> 	[IncludeIf "os:windows"]
>
> rather than
>
> 	[IncludeIf "os:Windows"]

I do not think "uname-s/i:windows" is out of question.  I am saying
that the default should be case sensitive for consistency with
others.

Also, as I said already, I do not think we should squat on a good
name "os" with this "uname -s" feature that may not be a good
differenciator for two OSes for some cases (e.g. telling Debian and
Fedora apart was a good example raised upthread already).